OBS User unknown 2008-12-15 10:56:27 +00:00 committed by Git OBS Bridge
parent 657d492c90
commit 554ab3ea0e
6 changed files with 78 additions and 8 deletions

View File

@ -88,7 +88,7 @@ Index: scripts/brp-symlink
===================================================================
--- /dev/null
+++ scripts/brp-symlink
@@ -0,0 +1,182 @@
@@ -0,0 +1,184 @@
+#!/bin/sh
+
+# Task: go through the files in $RPM_BUILD_ROOT and
@ -186,6 +186,8 @@ Index: scripts/brp-symlink
+ ;;
+ *,/opt/kde3/share/doc*/HTML/*/common) # white listed for not existant
+ ;;
+ *,usr/share/doc/kde/HTML/*/common) # white listed for not existant
+ ;;
+ *,/proc/*) # links pointing into /proc file system
+ ;;
+ *)

View File

@ -16,8 +16,8 @@ Index: scripts/find-debuginfo.sh
+ local tmp1=$(mktemp -t ${1##*/}.XXXXXX)
+ local tmp2=$(mktemp -t ${2##*/}.XXXXXX)
+
+ objcopy -O binary -R .note.gnu.build-id $1 $tmp1
+ objcopy -O binary -R .note.gnu.build-id $2 $tmp2
+ objcopy -R .note.gnu.build-id -R .gnu_debuglink $1 $tmp1
+ objcopy -R .note.gnu.build-id -R .gnu_debuglink $2 $tmp2
+ cmp -s $tmp1 $tmp2
+ local res=$?
+ rm -f $tmp1 $tmp2

40
modalias-encode.diff Normal file
View File

@ -0,0 +1,40 @@
Module aliases (modinfo -F alias <module>) may contain special characters
that rpm does not allow in dependencies, such as commas. Encode those as
%XX to avoid generating broken dependencies.
Signed-off-by: Andreas Gruenbacher <agruen@suse.de>
Index: rpm-4.4.2.3/scripts/find-supplements.ksyms
===================================================================
--- scripts/find-supplements.ksyms
+++ scripts/find-supplements.ksyms
@@ -48,6 +48,21 @@ combine_modaliases() {
print_modaliases "$class" "$variants" "$pos"
}
+# Encode all characters other than [*:a-zA-Z0-9] in stdin as %XX.
+# (This includes the % character itself, which becomes %25.)
+hexenc() {
+ local line hex
+
+ while read line; do
+ set -- "" "$line"
+ while [[ "$2" =~ ([*:a-zA-Z0-9]*)([^*:a-zA-Z0-9])(.*) ]]; do
+ hex=$(echo -n "${BASH_REMATCH[2]}" | hexdump -e '"%X"')
+ set -- "$1${BASH_REMATCH[1]}%$hex" "${BASH_REMATCH[3]}"
+ done
+ echo "$1$2"
+ done
+}
+
aliases_of_filelist() {
modlist=$(mktemp)
have_module=1
@@ -60,6 +75,7 @@ aliases_of_filelist() {
fi
have_module=0
/sbin/modinfo -F alias "$module" \
+ | hexenc \
| sed -nre "s,(.+:.+),modalias(kernel-${krel##*-}:\\1),p" | tee -a $modlist
done
if ! test -s "$modlist" && test $have_module = 0; then

View File

@ -24,7 +24,7 @@ License: GPL v2 or later
Group: System/Packages
Summary: Python Bindings for Manipulating RPM Packages
Version: 4.4.2.3
Release: 20
Release: 21
Requires: rpm = %{version}
%py_requires
Source99: rpm.spec

View File

@ -1,3 +1,21 @@
-------------------------------------------------------------------
Thu Dec 11 17:18:49 CET 2008 - ro@suse.de
- brp-symlink: whitelist kde4 doc path (bnc#457908)
-------------------------------------------------------------------
Thu Dec 11 08:14:27 CET 2008 - agruen@suse.de
- find-supplements.ksyms: Module aliases may contain special
characters that rpm does not allow in dependencies, such as
commas. Encode those as %XX to avoid generating broken
dependencies (bnc#456695).
-------------------------------------------------------------------
Tue Dec 9 16:45:44 CET 2008 - schwab@suse.de
- find-debuginfo.sh: Don't convert to binary.
-------------------------------------------------------------------
Mon Dec 1 12:35:39 CET 2008 - ro@suse.de

View File

@ -27,7 +27,7 @@ PreReq: %insserv_prereq %fillup_prereq permissions
AutoReqProv: on
Summary: The RPM Package Manager
Version: 4.4.2.3
Release: 20
Release: 21
Source: rpm-%{version}.tar.bz2
Source1: RPM-HOWTO.tar.bz2
Source2: RPM-Tips.html.tar.bz2
@ -97,6 +97,7 @@ Patch63: finddebuginfo-absolute-links.diff
Patch64: firmware.diff
Patch65: specfilemacro.diff
Patch66: rpm-filelist-bufferoverflow.diff
Patch67: modalias-encode.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-build
#
# avoid bootstrapping problem
@ -180,7 +181,7 @@ rm -f rpmdb/db.h
%patch -P 30 -P 31 -P 32 -P 33 -P 34 -P 35 -P 36 -P 37 -P 38 -P 39
%patch -P 40 -P 41 -P 42 -P 43 -P 44 -P 45 -P 46 -P 47 -P 48 -P 49
%patch -P 50 -P 51 -P 52 -P 53 -P 54 -P 55 -P 56 -P 57 -P 58 -P 59
%patch -P 60 -P 61 -P 62 -P 63 -P 64 -P 65 -P 66
%patch -P 60 -P 61 -P 62 -P 63 -P 64 -P 65 -P 66 -P 67
chmod 755 scripts/find-supplements{,.ksyms}
chmod 755 scripts/find-provides.ksyms scripts/find-requires.ksyms
chmod 755 scripts/firmware.prov
@ -330,7 +331,7 @@ Summary: A C library for parsing command line parameters
License: LGPL v2.1 or later
Group: System/Libraries
Version: 1.7
Release: 468
Release: 469
#
%description -n popt
@ -353,7 +354,7 @@ Summary: C Library for Parsing Command Line Parameters
License: LGPL v2.1 or later
Group: System/Libraries
Version: 1.7
Release: 468
Release: 469
Requires: popt = 1.7
Requires: glibc-devel
@ -388,6 +389,15 @@ Authors:
%doc %{_mandir}/man3/popt.3*
%changelog
* Thu Dec 11 2008 ro@suse.de
- brp-symlink: whitelist kde4 doc path (bnc#457908)
* Thu Dec 11 2008 agruen@suse.de
- find-supplements.ksyms: Module aliases may contain special
characters that rpm does not allow in dependencies, such as
commas. Encode those as %%XX to avoid generating broken
dependencies (bnc#456695).
* Tue Dec 09 2008 schwab@suse.de
- find-debuginfo.sh: Don't convert to binary.
* Mon Dec 01 2008 ro@suse.de
- add rpm to baselibs.conf (for net-snmp)
- append a "nil" after suse_install_update_script and _message